POST /stocks/material-types

Create a material type

This endpoint allows the user to create a material type.

Operation ID: createMaterialType
lock This endpoint requires a Bearer token in the Authorization header.

Request Body

Content-Type: application/json · Required fields: name, parent_id

name string required

Name of the material type.

Example: Material Type 1

code string | null

Code of the material type. Not required in the endpoint request but will be generated internally since there cannot be a material type without a code. When sent, needs to be unique.

Example: MT1

parent_id string required

ID of the material type folder to which this new material type will belong.

Example: 1

Responses

data object

MaterialType model structure details

id string read-only

ID of the Material Type

Example: 1

type string read-only

Model type

stock-material-type
attributes object
material_type_id string read-only

ID of the material type

Example: 1

parent_id string

ID of the associated parent folder of the material type

Example: 1

name string

Name of the material type

Example: Chemical

code string

Code of the material type

Example: CH-00001

created_at string (date-time)

Creation date

Example: 2021-01-01 00:00:00

updated_at string (date-time)

Last update date

Example: 2021-01-01 00:00:00

deleted_at string (date-time) | null

Deletion date

Example: 2021-01-01 00:00:00

included array<object>

List of relationships to be included

id string required read-only

ID of the Material

Example: 1

type string required read-only

Model type

stock-material

Example: stock-material

attributes object required
material_id string read-only

ID of the material

Example: 1

material_type_id string read-only

ID of the material type

Example: 11

name string

Name of the material

Example: Chair

code string

Code of the material

Example: CH-00001

purchase_consumption_type string

Purchase consumption type of the material

INHERIT AUTOMATIC MANUAL

Example: INHERIT

units string

Indicates which kind of unit should this material be measured with

Example: un

observations string | null

Material observations

Example: This is a observation

description string

Description of the material

Example: This is a chair

sku string | null

SKU of the material

Example: SKU-00001

ean_upc string | null

EAN/UPC of the material

Example: 1234567890123

sale_price number

Sale price of the material

Example: 10

sale_vat number

Sale VAT of the material

Example: 23

created_at string | null read-only

Date of creation

Example: 2021-07-21 18:38:00

updated_at string | null read-only

Last update date

Example: 2021-07-21 18:38:00

warehouses_minimum_stocks array<object>
warehouse_id integer

Example: 1

warehouse_name string

Example: Warehouse

minimum_quantity integer

Example: 10

status string
error
error object
http_code integer
401
message string

Example: Authentication token invalid.

more_info string
status string
error
error object
http_code integer
429
message string

Example: Too Many Requests.

more_info string
status string
error
error object
http_code integer
500
message string

Example: An error has occurred during the request.

more_info string